package com.persagy.dmp.starter.alarm.feign.fallback;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.persagy.dmp.starter.alarm.feign.AlarmUrlParam;
import com.persagy.dmp.starter.alarm.feign.DmpResult;
import com.persagy.dmp.starter.alarm.feign.client.DicClient;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;


/**
 * @description: 降级处理
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/11/27 2:05 下午
 * @version: V1.0
 */
@Slf4j
public class DicClientFallbackFactory implements FallbackFactory<DicClient> {

    @Override
    public DicClient create(Throwable throwable) {
        return new DicClient() {
            private String errorMsg = "feign调用报警中心接口异常，接口名称：[{}], 请求体：[{}]";

            @Override
            public DmpResult<JSONArray> queryDicData(AlarmUrlParam alarmUrlParam, JSONObject jsonObject) {
                throw new RuntimeException(String.format(errorMsg, "queryDicData", jsonObject.toString()));
            }
        };
    }
}
