package com.persagy.dmp.starter.alarm.runner;

import com.persagy.dmp.starter.alarm.communication.netty.NettyAlarmServer;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;


/**
 * @description: 初始化项目
 * @author: shiliqiang
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/20 15:37
 * @version: V1.0
 */
@Component
@Slf4j
@Order(Integer.MAX_VALUE)
public class NettyServerRunner implements CommandLineRunner {
	@Autowired
	private NettyAlarmServer nettyServer;

	@Override
	public void run(String... args) throws Exception {
		// 项目加载完成后启动netty
		log.info("-------启动NettyAlarmServer--------");
		nettyServer.start();
	}
}
